@echo off
rem  Batch file for compile MCF  2025.06.08
rem  rename batch name by purpose
rem  <drag and drop library files on this batch>
if not %~x1 == .mcf goto end
echo input mcf2graph; default_library:="%~n1.mcf"; > temp_soc.mp
echo loadm("EXA<>-"); allm; bye >> temp_soc.mp
mkdir %~n1
rem  *** mcf_to_svg  create svg in ./filename (default)
mpost -output-directory=./%~n1 ./temp_soc.mp
rem  *** mcf_to_png  create png in ./filename
rem  mpost -output-directory=./%~n1 -s ahangle=1 ./temp_soc.mp
rem  *** mcf_to_mol2k  create MOL(V2000) in ./filename
rem  mpost -output-directory=./%~n1 -s ahlength=5 ./temp_soc.mp
rem  *** mcf_to_mol3k  create MOL(V3000) in ./filename
rem  mpost -output-directory=./%~n1 -s ahlength=6 ./temp_soc.mp
rem  *** mcf_to_report  create report
rem  mpost -numbersystem=double -s ahlength=7 ./temp_soc.mp
del temp_soc.mp
:end